#ifndef FCUSB2_CAPILIB_COMPAT_H
#define FCUSB2_CAPILIB_COMPAT_H

#include <linux/list.h>
#include <linux/types.h>

void capilib_new_ncci(struct list_head *head, u16 applid,
	      u32 ncci, u32 winsize);

void capilib_free_ncci(struct list_head *head, u16 applid,
	       u32 ncci);

void capilib_release_appl(struct list_head *head, u16 applid);

void capilib_release(struct list_head *head);

void capilib_data_b3_conf(struct list_head *head, u16 applid,
	      u32 ncci, u16 msgid);

u16 capilib_data_b3_req(struct list_head *head, u16 applid,
	    u32 ncci, u16 msgid);

#endif
